Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.capability.system
Class ProcessorArchitecture

    java.lang.Object
      org.jini.rio.qos.capability.PlatformCapability
          org.jini.rio.qos.capability.system.ProcessorArchitecture

All Implemented Interfaces:
  Serializable, ResourceCostProducer, PlatformCapabilityMBean

    public class ProcessorArchitecture

extends PlatformCapability

The `ProcessorArchitecture` object provides a definition of the processor architecture

See Also:
  Serialized Form

Field Summary
`static String` | `ARCHITECTURE` cpu type
`static String` | `AVAILABLE` number of processors

Fields inherited from class org.jini.rio.qos.capability.PlatformCapability
`capabilities, description, DESCRIPTION, downloadRecords, logger, MANUFACTURER, MODEL, NAME, NATIVE_LIBS, path, PROVISIONABLE, softwareLoad, STATIC, VENDOR, VERSION`

Constructor Summary
`ProcessorArchitecture()` Create a ProcessorArchitecture with the default description
`ProcessorArchitecture(String description)` Create a ProcessorArchitecture with a description

Method Summary
`boolean` | `supports(ServiceLevelAgreements.SystemRequirement requirement)` Override supports to ensure that processor requirements are supported

Methods inherited from class org.jini.rio.qos.capability.PlatformCapability
`addSoftwareDownloadRecord, calculateResourceCost, clearAll, define, defineAll, equals, getCapabilities, getClassPath, getDescription, getName, getPath, getPlatformKeys, getSoftwareDownloadRecords, getSoftwareLoad, getType, getValue, hasBasicSupport, hashCode, loadResources, matches, remove, setClassPath, setDescription, setPath, setResourceCostModel, setSoftwareLoad, setType, supports, toString, versionSupported`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AVAILABLE

    public static final String AVAILABLE

  number of processors

  See Also:
    Constant Field Values

### ARCHITECTURE

    public static final String ARCHITECTURE

  cpu type

  See Also:
    Constant Field Values

Constructor Detail

### ProcessorArchitecture

    public ProcessorArchitecture()

  Create a ProcessorArchitecture with the default description

### ProcessorArchitecture

    public ProcessorArchitecture(String description)

  Create a ProcessorArchitecture with a description

  Parameters:
    `description` - The description

Method Detail

### supports

    public boolean supports(ServiceLevelAgreements.SystemRequirement requirement)

  Override supports to ensure that processor requirements are supported

  Overrides:
    `supports` in class `PlatformCapability`
  Parameters:
    `requirement` - The SystemRequirement to test for supportability.
  Returns:
    True if supported, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.